# DrillPlan Reporting API

Provides access to DrillPlan reports.
```plain {% title="Client ID" %}
fwk-drillplan.slbservice.com
```


Version: 2.1.0

## Servers

ProdEU
```
https://eu-api.delfi.slb.com/drillplan/reporting
```

ProdUS
```
https://api.delfi.slb.com/drillplan/reporting
```

## Security

### appkey

Application key.

Type: apiKey
In: header
Name: appkey

### bearer

User Token from SLB Authenticator Service

Type: http
Scheme: bearer
Bearer Format: JWT

## Download OpenAPI description

 - [DrillPlan Reporting API](https://developer.slb.com/_bundle/solutions/drillplan/apis/ReportingAPI.yaml)

## Exports

 - [GET /v2/projects/{projectId}/exports/{exportId}](https://developer.slb.com/solutions/drillplan/apis/reportingapi/exports/getexportv2.md): Allows to get a result of a DrillPlan report export in binary form. Results of export operations are transient and get deleted after one minute after the corresponding export task gets completed.
## Reports

 - [GET /v2/projects/{projectId}/reports](https://developer.slb.com/solutions/drillplan/apis/reportingapi/reports/getprojectreportsv2.md): Returns a collection of reports created in a DrillPlan project. The user must be a member of the project to be able to enumerate the reports.
 - [POST /v2/projects/{projectId}/reports/create](https://developer.slb.com/solutions/drillplan/apis/reportingapi/reports/createreportcreatetaskv2.md): Creates a new instance of the asynchronous report creation task. The user must be a member of the project to be able to create reports.
 - [GET /v2/projects/{projectId}/reports/{reportId}](https://developer.slb.com/solutions/drillplan/apis/reportingapi/reports/getreportv2.md): Allows to retrieve a specific DrillPlan report details using a report ID. To report details, the user must be a member of the project to which the report belongs.
 - [POST /v2/projects/{projectId}/reports/{reportId}/content/export](https://developer.slb.com/solutions/drillplan/apis/reportingapi/reports/createreportcontentexporttaskv2.md): Creates a new instance of the asynchronous export task for a given DrillPlan report. To create an export task, the user must be a member of the project to which the report belongs.
 - [POST /v2/projects/{projectId}/reports/{reportId}/content/update](https://developer.slb.com/solutions/drillplan/apis/reportingapi/reports/createreportcontentupdatetaskv2.md): Creates a new instance of the asynchronous content update task for a given DrillPlan report. To create a content update task, the user must be a member of the project to which the report belongs.
## Tasks

 - [GET /v2/projects/{projectId}/tasks/{taskId}](https://developer.slb.com/solutions/drillplan/apis/reportingapi/tasks/gettaskv2.md): Allows to get a specific asynchronous task details using its ID. This end-point can be used to monitor the state of an asynchronous task. To get the task details, the user must be a member of the
## Templates

 - [GET /v2/templates](https://developer.slb.com/solutions/drillplan/apis/reportingapi/templates/gettemplatesv2.md): Returns a collection of report templates.
